﻿using System;
using System.Threading;
using Syntriax.Engine.Core;

IUniverse universe = Pong.PongUniverse.GetPongUniverse(isServerEnabled: true, isClientEnabled: false);

DateTime lastRun = DateTime.UtcNow;
TimeSpan interval = new(0, 0, 0, 0, 16);
TimeSpan timeSinceStart = new(0);

universe.Initialize();

while (true)
{
    if (lastRun + interval <= DateTime.UtcNow)
    {
        lastRun += interval;
        timeSinceStart += interval;
        universe.Update(new(timeSinceStart, interval));
    }
    Thread.Sleep(1);
}
